local BuildZoneMainEffect = BaseClass("BuildZoneMainEffect")
local OnCreate = function(self, go)
  if go ~= nil then
    self.request = go
    self.gameObject = go.gameObject
    self.transform = go.gameObject.transform
  end
  self:ComponentDefine()
end
local OnDestroy = function(self)
  self:ComponentDestroy()
end
local ComponentDefine = function(self)
end
local ComponentDestroy = function(self)
end
local ReInit = function(self, param)
  self.param = param
end
BuildZoneMainEffect.OnCreate = OnCreate
BuildZoneMainEffect.OnDestroy = OnDestroy
BuildZoneMainEffect.ComponentDefine = ComponentDefine
BuildZoneMainEffect.ComponentDestroy = ComponentDestroy
BuildZoneMainEffect.ReInit = ReInit
return BuildZoneMainEffect
